XTELNET(8)

NAME
xtelnet - reverse telnet terminal server driver

SYNOPSIS
xtelnet -h hostname -p port [ -d ] [ -l loops ] [ -L loopwait ] [ -t sleep ] [ -s lingertime ]

DESCRIPTION
xtelnet is a terminal server program for use by GNUspool where the destination is a server which accepts "reverse telnet" protocol. Data is accepted on standard input.

OPTIONS

-h hostname
    This is the host name or IP address to be used to access the printer. In GNUspool setup files, it may be appropriate to substitute $SPOOLDEV or $SPOOLPTR here.

-p port number
    This is the port number (or name in /etc/services to be used. In GNUspool setup files, it may sometimes be appropriate to substitute $SPOOLDEV here, but this is unlikely.

-l n
    Make n connection attempts before giving up trying to connect to the server.

-L n
    In conjunction with -l option, sleep n seconds between attempts to connect to the server.

-t n
    Sleep n seconds before exiting, after closing the connection to the server. This is sometimes necessary with some servers, as GNUspool operates too fast for them. However you may prefer to use the "closewait" option in the setup file.

-s n
    Specify "linger time" in seconds (which may be fractional) for the connection. This is likewise necessary with some servers.

-d  Debug. Displays activities on standard error.

DIAGNOSTICS
xtelnet generates any appropriate diagnostics on standard error. Use the "fberror" and/or "logerror" keywords in the setup file to record such errors.

EXIT CODES
Normal termination is denoted by an exit code of zero.

1.  Device appears to be offline.

2.  Some kind of device error, failure to connect etc.

3.  Incorrect usage, unknown option etc.

4.  System error, cannot find host name etc.

SEE ALSO
xilp(8), xtftp(8), xtlpc(8), xtlhp(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.